Bug 80338 - Data > Statistics > F1 no Help page is displayed
Summary: Data > Statistics > F1 no Help page is displayed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: HelpGaps
  Show dependency treegraph
 
Reported: 2014-06-21 17:47 UTC by Olivier Hallot
Modified: 2014-12-20 22:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2014-06-21 17:47:38 UTC
The Data - statistics - <whatever> does not have a help button, and thus no text in the helpcontent.

Two tasks are in this bug

1) write a User Guide help text on Data Statistics usage
2) Write a reference text

Assistance from the developer who implemented statistics will help a lot.
Comment 1 Owen Genat (retired) 2014-07-19 10:58:42 UTC
Confirmed. The dialogs displayed via Data > Statistics:

- Sampling
- Descriptive statistics
- Analysis of Variance (ANOVA)
- Correlation
- Covariance
- Exponential Smoothing
- Moving Average
- t-test (v4.3 only)
- F-test (v4.3 only)

... do not link to any online Help page under GNU/Linux for any of these versions:

- v4.2.5.2 Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5
- v4.3.0.2 Build ID: 14ed55896fdfcb93ff437b85c4f3e1923d2b1409

An output-range-edit message is displayed.

Status set to NEW. Version set to v4.2.5.2. Summary amended for clarity.
Comment 2 Commit Notification 2014-08-04 11:09:56 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=135498091966f63d582929446a084b41d3ffd4da

Partial fix for fdo#80338: help for calc statistics



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-08-05 11:55:57 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df2f99019413e109d86ec7b082142b8fec731095

Fix fdo#80338: Help pages for Calc Data Stats



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Owen Genat (retired) 2014-08-10 03:14:18 UTC
(In reply to comment #3)
> The patch should be included in the daily builds available at
> http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More

Olivier thanks for your work on this. How do I test the commit? I can't get any help pages to come up for any of the Statistics dialogs using v4.4.0.0.alpha0+ Build ID: 4d635dcae4d7275d04a17a0efc11b0531d5d0a82
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-08-08_23:24:32

Would this build have the correct links?
Comment 5 Olivier Hallot 2014-08-11 17:02:06 UTC
> 
> Olivier thanks for your work on this. How do I test the commit? I can't get
> any help pages to come up for any of the Statistics dialogs using
> v4.4.0.0.alpha0+ Build ID: 4d635dcae4d7275d04a17a0efc11b0531d5d0a82
> TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time:
> 2014-08-08_23:24:32
> 
> Would this build have the correct links?

My build is complete with debug and the helpconten2. One patch is for core and the other is for helpcontent2. Not sure I can help you.
Comment 6 Commit Notification 2014-08-22 16:06:11 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=ba90edc72a3eedc95f2a2bd2c6923b860cc3e4d8

Fix fdo#80338 Help pages for Data Statistics



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Mike §chinagl 2014-12-20 22:47:11 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

Local help page button for Calc in Data ▸ Statistics.